Search Results for

Show / Hide Table of Contents

# Enum Reason

An enum that represents several categories of ignore reasons that the loader may encounter.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public enum Reason

### Fields

Name | Description
--- | ---
Conflict | The plugin this reason is associated with conflicts with another already loaded plugin.
Dependency | The plugin this reason is assiciated with is missing a dependency.
Duplicate | The plugin this reason is associated with has the same ID as another plugin whose information was already loaded.
Error | An error was thrown either loading plugin information fomr disk, or when initializing the plugin.
Feature | The plugin this reason is associated with was denied from loading by a Feature that it marks.
MissingFiles | One of the files that a plugin declared in its manifest is missing.
Released | The plugin this reason is associated with was released for a game update, but is still considered present for the purposes of updating.
Unsupported | The plugin this reason is assoicated with is unsupported.

##### See Also

IgnoreReason

### Extension Methods

ReflectionUtil.SetField<Reason, U>(String, U)
ReflectionUtil.GetField<U, Reason>(String)
ReflectionUtil.SetProperty<Reason, U>(String, U)
ReflectionUtil.GetProperty<U, Reason>(String)
ReflectionUtil.InvokeMethod<U, Reason>(String, Object[])